To make editing in emacs, diffing, etc, easier.
Signed-off-by: Ian Jackson <Ian.Jackson@eu.citrix.com>
--- /dev/null
+#!/bin/sh
+set -e
+
+# Converts the file into something which is (hopefully) not changed by
+# the Xen Project website's canonicalisation.
+
+exec \
+perl -0 -i -pe '
+ s#\n\s+#\n#g;
+ s#\n(?!\<)# #g;
+ s# $##s;
+' security_vulnerability_process.html
--- /dev/null
+#!/bin/sh
+set -e
+
+# Converts the file into something which is comfortable to edit in
+# Emacs, but which will be mangled by the Xen Project website's
+# canonicalisation.
+
+exec \
+emacs -q -batch \
+ security_vulnerability_process.html \
+ -f mark-whole-buffer \
+ -f indent-region \
+ -f fill-individual-paragraphs \
+ -f save-buffer